import { createApp } from 'vue';
import App from './App.vue';

import { createPinia } from 'pinia';
import ElementPlus from 'element-plus';
import Toast from "vue-toastification";
import "vue-toastification/dist/index.css";
import 'element-plus/dist/index.css';
// 引入路由器
import router from './router/index'

const app = createApp(App);
const options = {
    transition: 'Vue-Toastification__bounce',
    maxToasts: 3,
    newestOnTop: true,
    position: 'top-left',
    timeout: 2000,
    closeOnClick: true,
    pauseOnFocusLoss: true,
    pauseOnHover: false,
    draggable: true,
    draggablePercent: 0.7,
    showCloseButtonOnHover: false,
    hideProgressBar: true,
    closeButton: 'button',
    icon: true,
    rtl: false
};
//使用路由
app.use(Toast, options);
app.use(router)
app.use(createPinia());
app.use(ElementPlus);

app.mount('#app');